Package org.eclipse.rdf4j.model.impl

## Class SimpleNamespace

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractNamespace
  - - org.eclipse.rdf4j.model.impl.SimpleNamespace

- All Implemented Interfaces:
    `Serializable`, `Comparable<Namespace>`, `Namespace`

      public class SimpleNamespace
      extends AbstractNamespace

  A default implementation of the `Namespace` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleNamespace​(String prefix, String name)` | Creates a new Namespace object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Gets the name of the namespace.
    `String` | `getPrefix()` | Gets the prefix of the namespace.
    `void` | `setName​(String name)` | Sets the name of the namespace.
    `void` | `setPrefix​(String prefix)` | Sets the prefix of the namespace.

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractNamespace

      `compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleNamespace

          public SimpleNamespace​(String prefix,
                                 String name)

      Creates a new Namespace object.
      Parameters:
        `prefix` - The namespace's prefix.
        `name` - The namespace's name.

  - ### Method Detail

    - #### getPrefix

          public String getPrefix()

      Gets the prefix of the namespace.
      Returns:
        prefix of the namespace

    - #### setPrefix

          public void setPrefix​(String prefix)

      Sets the prefix of the namespace.
      Parameters:
        `prefix` - The (new) prefix for this namespace.

    - #### getName

          public String getName()

      Gets the name of the namespace.
      Returns:
        name of the namespace

    - #### setName

          public void setName​(String name)

      Sets the name of the namespace.
      Parameters:
        `name` - The (new) name for this namespace.